import 'package:animated_text_kit/animated_text_kit.dart';
import 'package:flutter/material.dart';

class CommonWidget {
  Widget InitAppBarTitle(List<String> title, {List<Color> color}) {
    if (color == null)
      color = [
        Colors.purple,
        Colors.blue,
        Colors.yellow,
        Colors.red,
      ];
    return ColorizeAnimatedTextKit(
        speed: Duration(milliseconds: 200),
        repeatForever: true,
        isRepeatingAnimation: true,
        text: title,
        textStyle: TextStyle(fontSize: 25.0, fontFamily: "Horizon"),
        colors: color,
        textAlign: TextAlign.start,
        alignment: AlignmentDirectional.topStart // or Alignment.topLeft
        );
  }

  Widget InitDropdown(
      List<DropdownItem> lt, DropdownItem item, Function(DropdownItem) fuc) {
    return DropdownButton<DropdownItem>(
      isExpanded: true,
      value: item,
      items: lt.map<DropdownMenuItem<DropdownItem>>((DropdownItem value) {
        return DropdownMenuItem<DropdownItem>(
          value: value,
          child: Text(value.TextContent),
        );
      }).toList(),
      onChanged: fuc,
    );
  }
}

class DropdownItem {
  String Value;
  String TextContent;
  DropdownItem(this.TextContent, this.Value);
}
