import 'IReponsitory.dart';
import 'package:hive/hive.dart';

class HiveRepository<T> implements IRepository<T> {
  final Box _box;
  HiveRepository(this._box);
  @override
  Future<T> get(dynamic id) async {
    if (this.boxIsClosed) return null;

    return this._box.get(id);
  }

  @override
  Future<void> add(T object) async {
    if (this.boxIsClosed) return;
    await this._box.add(object);
  }

  @override
  Future<void> addAll(Iterable<T> object) async {
    if (this.boxIsClosed) return;
    await this._box.addAll(object);
  }

  bool get boxIsClosed => !(this._box?.isOpen ?? false);

  @override
  Future<void> delete(id) async {
    if (!this.boxIsClosed) this._box.delete(id);
  }

  @override
  Future<void> update(dynamic key, T object) async {
    if (!this.boxIsClosed) {
      this._box.delete(key);
      this._box.put(key, object);
    }
  }
}
